Skip to content

Staff

Endpoints for retrieving the list of staff members.

GET /api/v1/Staff/Simple

Returns a list of all staff members with basic information.

Parameters

This endpoint has no parameters.

Response

FieldTypeDescription
IdStaffuuidStaff member identifier
FullNamestringFull name (including titles)
IdLocationuuidLocation identifier
LocationNamestringLocation name
HasCalendarboolWhether the staff member has a calendar
IsDoctorboolWhether the staff member is a doctor

GET /api/v1/Staff/Extended

Returns a list of staff members with extended information and filtering support.

Parameters

ParameterTypeRequiredDescription
idLocationuuidnoFilter by location
activeboolnoFilter by activity status
hasCalendarboolnoStaff member has a calendar
isDoctorboolnoStaff member is a doctor

Response

FieldTypeDescription
IdStaffuuidStaff member identifier
FullNamestringFull name (including titles)
FirstnamestringFirst name
LastnamestringLast name
EducationstringTitle before name
EducationAfterstringTitle after name
IdLocationuuidLocation identifier
LocationNamestringLocation name
CalendarNamestringCalendar name
HasCalendarboolWhether the staff member has a calendar
IsDoctorboolWhether the staff member is a doctor
ActiveboolWhether the staff member is active